<?php

/**
 * 前台 全国地标大全 模块 Controller
 * ============================================================================
 * ZhunaCMS 住哪网酒店分销联盟程序php版　BY Tmac PHP MVC framework
 * $Author: zhangwentao $  <zwttmac@qq.com>
 * $Id: allcitylable.php 19 2011-11-22 11:00:06Z zhangwentao $
 * http://union.zhuna.cn；
 */
class allcitylableAction extends Action
{

    private $tmp_model;
    private $common_model;

    public function _init()
    {
        $this->assign('action', $_GET['TMAC_ACTION']);
        $this->tmp_model = Tmac::model('allcitylable');
        $this->common_model = Tmac::model('common');

        //footer里的相关设置
        $config_footer = $this->common_model->footer();
        $this->assign($config_footer);
    }

    public function index()
    {
        $pid = empty($_GET['pid']) ? '0' : (int)$_GET['pid'];  //pid
        $classid = empty($_GET['classid']) ? '0' : (int)$_GET['classid'];  //classid
        //取classname
        $rs = $this->tmp_model->getPointclassArray();
        $this->assign('point_class_array', $rs);
        $this->V('allcitylable');
    }

}